Bug 27478 - Improve link text when viewing an ILL requested item
Summary: Improve link text when viewing an ILL requested item
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 26722
  Show dependency treegraph
 
Reported: 2021-01-20 02:04 UTC by Aleisha Amohia
Modified: 2021-06-14 21:35 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27478: Improved link text when viewing ILL reqested item (1.84 KB, patch)
2021-01-20 21:45 UTC, Ava
Details | Diff | Splinter Review
Bug 27478: Improved link text when viewing ILL reqested item (1.89 KB, patch)
2021-01-21 13:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27478: Improved link text when viewing ILL reqested item (1.96 KB, patch)
2021-01-21 15:31 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2021-01-20 02:04:15 UTC
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-illrequests.tt:                                                <a href="/cgi-bin/koha/opac-detail.pl?biblionumber=[% request.biblio_id | uri %]">Click here to view</a>

"Here" should not be used as a link text as it doesn't contain any helpful information for people scanning the page for information and also is a problem for blind users using screen readers jumping from link to link on a page.

To reproduce you will need to enable interlibrary loans. https://koha-community.org/manual/20.11/hi/html/ILL_requests.html
Comment 1 Ava 2021-01-20 21:45:36 UTC
Created attachment 115465 [details] [review]
Bug 27478: Improved link text when viewing ILL reqested item

TEST PLAN:
1) Follow

https://koha-community.org/manual/20.11/hi/html/ILL_requests.html
and
https://wiki.koha-community.org/wiki/ILL_backends
to enable Interlibrary loans if you haven't already.

2)In the Koha staff website or OPAC website, make an ILL request.
(if in the Koha staff website, use your own card barcode)

3) Go the the OPAC website, your account (top right), 'your
interlibrary loan requests', view request

4) The text should be as follows "Requested item: View the requested
item" If so the patch has worked.
Comment 2 Owen Leonard 2021-01-21 13:58:58 UTC
Created attachment 115543 [details] [review]
Bug 27478: Improved link text when viewing ILL reqested item

TEST PLAN:
1) Follow

https://koha-community.org/manual/20.11/hi/html/ILL_requests.html
and
https://wiki.koha-community.org/wiki/ILL_backends
to enable Interlibrary loans if you haven't already.

2)In the Koha staff website or OPAC website, make an ILL request.
(if in the Koha staff website, use your own card barcode)

3) Go the the OPAC website, your account (top right), 'your
interlibrary loan requests', view request

4) The text should be as follows "Requested item: View the requested
item" If so the patch has worked.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Kyle M Hall 2021-01-21 15:31:55 UTC
Created attachment 115561 [details] [review]
Bug 27478: Improved link text when viewing ILL reqested item

TEST PLAN:
1) Follow

https://koha-community.org/manual/20.11/hi/html/ILL_requests.html
and
https://wiki.koha-community.org/wiki/ILL_backends
to enable Interlibrary loans if you haven't already.

2)In the Koha staff website or OPAC website, make an ILL request.
(if in the Koha staff website, use your own card barcode)

3) Go the the OPAC website, your account (top right), 'your
interlibrary loan requests', view request

4) The text should be as follows "Requested item: View the requested
item" If so the patch has worked.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Jonathan Druart 2021-01-22 13:54:48 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-01-29 13:58:27 UTC
Enhancement not pushed to 20.11.x